path: /build/build/kwayland-integration-kde-plasma-5-5.27.9.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test" emerge kde-plasma/kwayland-integration:5 -pv -t && \
    USE="-test" emerge -j ${JOBS} --nodeps kde-plasma/kwayland-integration:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kwayland-integration && luet-portage
    --dir /pkgdir/kwayland-integration kde-plasma/kwayland-integration:5 && eval 'rm
    -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:deaee190d00cadd6e09595026976df3b76cac2c8a317cbdf0903afce102d609b
  package:
    name: kwayland-integration
    version: 5.27.9
    category: kde-plasma-5
    use_flags:
    - -test
    requires:
    - name: macaroni-funtoo-race20
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Provides integration plugins for various KDE frameworks for Wayland
    uri:
    - https://invent.kde.org/plasma/kwayland-integration
    license: LGPL-2.1
    buildtimestamp: 2024-02-15 19:31:13.083854675 +0000 UTC m=+198.377523430
    labels:
      BDEPEND: virtual/pkgconfig dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
      DEPEND: '>=dev-libs/wayland-1.15 dev-util/wayland-scanner || ( >=dev-qt/qtgui-5.15.2:5[libinput]
        >=dev-qt/qtgui-5.15.2:5[X] ) >=dev-qt/qtgui-5.15.2:5 >=dev-qt/qtwayland-5.15.2:5
        >=dev-qt/qtwidgets-5.15.2:5 >=kde-frameworks/extra-cmake-modules-5.98.0:5
        >=kde-frameworks/kguiaddons-5.98.0:5 >=kde-frameworks/kidletime-5.98.0:5 >=kde-frameworks/kwayland-5.98.0:5
        >=kde-frameworks/kwindowsystem-5.98.0:5 x11-libs/libxkbcommon dev-util/desktop-file-utils
        x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.15.2:5 ) >=dev-qt/qtcore-5.15.2:5
        dev-util/desktop-file-utils'
      IUSE: debug test
      RDEPEND: '>=dev-libs/wayland-1.15 dev-util/wayland-scanner || ( >=dev-qt/qtgui-5.15.2:5[libinput]
        >=dev-qt/qtgui-5.15.2:5[X] ) >=dev-qt/qtgui-5.15.2:5 >=dev-qt/qtwayland-5.15.2:5
        >=dev-qt/qtwidgets-5.15.2:5 >=kde-frameworks/extra-cmake-modules-5.98.0:5
        >=kde-frameworks/kguiaddons-5.98.0:5 >=kde-frameworks/kidletime-5.98.0:5 >=kde-frameworks/kwayland-5.98.0:5
        >=kde-frameworks/kwindowsystem-5.98.0:5 x11-libs/libxkbcommon >=kde-frameworks/kf-env-4
        || ( >=kde-frameworks/breeze-icons-5.98.0:5 kde-frameworks/oxygen-icons:*
        ) >=dev-qt/qtcore-5.15.2:5'
      emerge.packages: kde-plasma/kwayland-integration:5
      kit: kde-kit
      original.package.name: kde-plasma/kwayland-integration
      original.package.slot: "5"
      original.package.version: 5.27.9
    treedir: /build/packages
  package_dir: /pkgdir/kwayland-integration
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c90e232acea505c9bc534bb4fdc03dbf97fc8db4489bcab61aa0549d22779c27
compressiontype: zstd
files:
- usr/lib64/qt5/plugins/kf5/kwindowsystem/KF5WindowSystemKWaylandPlugin.so
- usr/share/qlogging-categories5/kwindowsystem.kwayland.categories
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/BDEPEND
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/BUILD_TIME
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/CATEGORY
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/CBUILD
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/CFLAGS
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/CHOST
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/CONTENTS
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/COUNTER
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/CXXFLAGS
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/DEFINED_PHASES
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/DEPEND
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/DESCRIPTION
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/EAPI
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/FEATURES
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/HOMEPAGE
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/INHERITED
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/IUSE
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/IUSE_EFFECTIVE
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/KEYWORDS
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/LDFLAGS
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/LICENSE
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/NEEDED
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/PF
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/PROVIDES
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/RDEPEND
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/REQUIRES
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/RESTRICT
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/SIZE
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/SLOT
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/USE
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/environment.bz2
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/kwayland-integration-5.27.9.ebuild
- var/db/pkg/kde-plasma/kwayland-integration-5.27.9/repository
package_cacheimage: ""
runtime:
  name: kwayland-integration
  version: 5.27.9
  category: kde-plasma-5
  use_flags:
  - -test
  requires:
  - name: kguiaddons
    version: '>=0'
    category: kde-frameworks-5
  - name: kidletime
    version: '>=0'
    category: kde-frameworks-5
  - name: kwayland
    version: '>=0'
    category: kde-frameworks-5
  - name: kwindowsystem
    version: '>=0'
    category: kde-frameworks-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Provides integration plugins for various KDE frameworks for Wayland
  uri:
  - https://invent.kde.org/plasma/kwayland-integration
  license: LGPL-2.1
  labels:
    BDEPEND: virtual/pkgconfig dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
    DEPEND: '>=dev-libs/wayland-1.15 dev-util/wayland-scanner || ( >=dev-qt/qtgui-5.15.2:5[libinput]
      >=dev-qt/qtgui-5.15.2:5[X] ) >=dev-qt/qtgui-5.15.2:5 >=dev-qt/qtwayland-5.15.2:5
      >=dev-qt/qtwidgets-5.15.2:5 >=kde-frameworks/extra-cmake-modules-5.98.0:5 >=kde-frameworks/kguiaddons-5.98.0:5
      >=kde-frameworks/kidletime-5.98.0:5 >=kde-frameworks/kwayland-5.98.0:5 >=kde-frameworks/kwindowsystem-5.98.0:5
      x11-libs/libxkbcommon dev-util/desktop-file-utils x11-misc/shared-mime-info
      test? ( >=dev-qt/qttest-5.15.2:5 ) >=dev-qt/qtcore-5.15.2:5 dev-util/desktop-file-utils'
    IUSE: debug test
    RDEPEND: '>=dev-libs/wayland-1.15 dev-util/wayland-scanner || ( >=dev-qt/qtgui-5.15.2:5[libinput]
      >=dev-qt/qtgui-5.15.2:5[X] ) >=dev-qt/qtgui-5.15.2:5 >=dev-qt/qtwayland-5.15.2:5
      >=dev-qt/qtwidgets-5.15.2:5 >=kde-frameworks/extra-cmake-modules-5.98.0:5 >=kde-frameworks/kguiaddons-5.98.0:5
      >=kde-frameworks/kidletime-5.98.0:5 >=kde-frameworks/kwayland-5.98.0:5 >=kde-frameworks/kwindowsystem-5.98.0:5
      x11-libs/libxkbcommon >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5
      kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.2:5'
    emerge.packages: kde-plasma/kwayland-integration:5
    kit: kde-kit
    original.package.name: kde-plasma/kwayland-integration
    original.package.slot: "5"
    original.package.version: 5.27.9
